<input type="hidden" name="_id" value="{{ record._id }}" />
<div class="row pb-4">
    <div class="col-12 col-md-6">
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "client"|normalize|title }}*</label>
                    <select name="client" class="form-control" data-ajax-select-target="/api/v1/clients/all?fields=name,business_type" data-ajax-select-value="_id" data-ajax-select-label="name,business_type" data-ajax-select-selected="{{ record.client.id }}" required data-default-value="{{ record.client.id }}" placeholder="-- Select Client --">
                        <option value="">-- Select Client --</option>
                    </select>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "formula_no"|normalize|title }}*</label>
                    <input type="text" name="formula_no" class="form-control" oninput="this.value = this.value.toUpperCase()" maxlength="32" required value="{{ record.formula_no }}" data-default-value="{{ record.formula_no }}" />
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label><b>{{ "product_code"|normalize|title }}*</b></label>
                    {% if record.encoded_to_finished_goods %}
                        <input type="text" name="product_code" class="form-control" maxlength="32" value="{{ record.product_code }}" readonly />
                    {% else %}
                        <input type="text" name="product_code" class="form-control" oninput="this.value = this.value.toUpperCase()" maxlength="32" required value="{{ record.product_code }}" data-default-value="{{ record.product_code }}" />
                    {% endif %}
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "description"|normalize|title }}*</label>
                    <textarea name="description" class="form-control" rows="2" required value="{{ record.description }}" data-default-value="{{ record.description }}">{{ record.description }}</textarea>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "variant"|normalize|title }}*</label>
                    <textarea name="variant" class="form-control" rows="2" required value="{{ record.variant }}" data-default-value="{{ record.variant }}">{{ record.variant }}</textarea>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "default_unit"|normalize|title }}*</label>
                    <select name="default_unit" class="form-control" required data-default-value="{{ record.default_unit }}">
                        <option value="">-- Select Default Unit --</option>
                        {% for option in units %}
                            <option value="{{ option.decode("utf-8") }}"{% if record.default_unit == option.decode("utf-8") %} selected{% endif %}>{{ option.decode("utf-8") }}</option>
                        {% endfor %}
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="col-12 col-md-6">
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label><b>{{ "standard_packing_per_piece"|normalize|title }}*</b></label>
                    <input type="number" name="standard_packing_per_piece" class="form-control" min="1" step="any" required value="{{ record.standard_packing_per_piece }}" data-default-value="{{ record.standard_packing_per_piece }}" />
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label><b>{{ "standard_specific_gravity"|normalize|title }}*</b></label>
                    <input type="number" name="standard_specific_gravity" class="form-control" step="any" required value="{{ record.standard_specific_gravity }}" data-default-value="{{ record.standard_specific_gravity }}" />
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "date_original_issue"|normalize|title }}</label>
                    <input type="text" name="date_original_issue" class="form-control datepicker" required value="{{ record.date_original_issue|humandate(date_only=True) }}" data-default-value="{{ record.date_original_issue|humandate(date_only=True) }}" />
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "revision_no"|normalize|title }}*</label>
                    <input type="number" name="revision_no" class="form-control" min="1" step="1" value="{{ record.revision_no }}" data-default-value="{{ record.revision_no }}" required />
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "revision_reason"|normalize|title }}</label>
                    <textarea name="revision_reason" class="form-control" rows="2" required value="{{ record.description }}" data-default-value="{{ record.revision_reason }}">{{ record.revision_reason }}</textarea>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "last_modified"|normalize|title }}</label>
                    <input type="text" class="form-control" value="{{ record.last_modified_by }} - {{ record.date_last_modified|humandate }}" readonly />
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="form-group formula">
                    <label>{{ "valid"|normalize|title }}</label>
                    <input type="text" class="form-control" readonly />
                    <input type="hidden" name="valid" class="form-control" />
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row mt-4">
    <div class="col-12 col-md-6" data-raw-material-container>
        <h5>Raw Materials</h5>
        <div class="row">
            <div class="col-12 col-md-12">
                <a class="btn btn-warning btn-sm btn-block" href="#" data-raw-material-toggle="add"> <i class="fa fa-plus"></i> Add Raw Material</a>
            </div>
        </div>
        {% for item in record.raw_materials|sort(attribute='index') %}
            <div class="row {{ loop.cycle('gray-bg', '') }}" data-form-dynamic="default">
                <div class="col-4 offset-8 col-md-3 offset-md-9">
                    <a href="#" class="btn btn-secondary btn-sm btn-block" data-raw-material-toggle="delete"> Delete Item</a>
                </div>
                <div class="col-6">
                    <div class="form-group">
                        <label>Item Code*</label>
                        <select name="raw-materials-item_code" class="form-control" data-ajax-select-target="/api/v1/raw_materials/all?fields=item_code,description" data-ajax-select-value="_id" data-ajax-select-label="item_code,description" data-ajax-select-selected="{{ item.item_code }}" placeholder="-- Select Item Code --" required data-default-value="{{ item.item_code }}">
                            <option value="">-- Select Item Code --</option>
                        </select>
                    </div>
                </div>
                <div class="col-6">
                    <div class="form-group">
                        <label>Percentage Quantity*</label>
                        <input type="number" name="raw-materials-quantity" class="form-control" min="0.000001" max="100" step="0.000001" required value="{{ item.quantity }}" data-default-value="{{ item.quantity }}" />
                    </div>
                </div>
            </div>
        {% endfor %}
        <h5><small class="float-right">Total: <b>0</b></small></h5>
    </div>
    <div class="col-12 col-md-6" data-packaging-material-container>
        <h5>Packaging Materials</h5>
        <div class="row">
            <div class="col-12 col-md-12">
                <a class="btn btn-warning btn-sm btn-block" href="#" data-packaging-material-toggle="add"> <i class="fa fa-plus"></i> Add Packaging Material</a>
            </div>
        </div>
        {% for item in record.packaging_materials|sort(attribute='index') %}
            <div class="row {{ loop.cycle('gray-bg', '') }}" data-form-dynamic="default">
                <div class="col-4 offset-8 col-md-3 offset-md-9">
                    <a href="#" class="btn btn-secondary btn-sm btn-block" data-packaging-material-toggle="delete"> Delete Item</a>
                </div>
                <div class="col-6">
                    <div class="form-group">
                        <label>Item Code*</label>
                        <select name="packaging-materials-item_code" class="form-control" data-ajax-select-target="/api/v1/raw_materials/all?fields=item_code,description" data-ajax-select-value="_id" data-ajax-select-label="item_code,description" data-ajax-select-selected="{{ item.item_code }}" required data-default-value="{{ item.item_code }}" placeholder="-- Select Item Code --">
                            <option value="">-- Select Item Code --</option>
                        </select>
                    </div>
                </div>
                <div class="col-6">
                    <div class="form-group">
                        <label>Piece(s)*</label>
                        <input type="number" name="packaging-materials-quantity" class="form-control" min="0.000001" max="100" step="0.000001" required value="{{ item.quantity }}" data-default-value="{{ item.quantity }}" />
                    </div>
                </div>
            </div>
        {% endfor %}
        <h5><small class="float-right invisible">Total: <b>0</b></small></h5>
    </div>
</div>
<span><small>Percentages must total to 100.00 to be valid</small></span>
<script>
    $dom.document.ready(function() {
        raw_materials_valid = compute_total('details', 'raw-material');
        packaging_materials_valid =  compute_total('details', 'packaging-material');
        change_validity('details');

        $('.datepicker').datepicker();
    });
</script>
